You are viewing a plain text version of this content. The canonical link for it is here.
Posted to cvs@httpd.apache.org by mi...@apache.org on 2009/11/30 23:57:41 UTC

svn commit: r885608 - /httpd/httpd/branches/2.2.x/build/rpm/httpd.init

Author: minfrin
Date: Mon Nov 30 22:57:41 2009
New Revision: 885608

URL: http://svn.apache.org/viewvc?rev=885608&view=rev
Log:
Rpm package: pass the HTTPD_LANG variable to the httpd process in line
with Fedora. Remove the use of the apachectl script, as a script calling
another script makes no sense. Test for the pidfile specifically, so
that Redhat's scripts don't fall back to using pidof and returning the
status of other httpd processes running on the same box.

Modified:
    httpd/httpd/branches/2.2.x/build/rpm/httpd.init

Modified: httpd/httpd/branches/2.2.x/build/rpm/httpd.init
URL: http://svn.apache.org/viewvc/httpd/httpd/branches/2.2.x/build/rpm/httpd.init?rev=885608&r1=885607&r2=885608&view=diff
==============================================================================
--- httpd/httpd/branches/2.2.x/build/rpm/httpd.init (original)
+++ httpd/httpd/branches/2.2.x/build/rpm/httpd.init Mon Nov 30 22:57:41 2009
@@ -42,6 +42,9 @@
         . /etc/sysconfig/httpd
 fi
 
+# Start httpd in the C locale by default.
+HTTPD_LANG=${HTTPD_LANG-"C"}
+
 # This will prevent initlog from swallowing up a pass-phrase prompt if
 # mod_ssl needs a pass-phrase from the user.
 INITLOG_ARGS=""
@@ -50,8 +53,6 @@
 # with the thread-based "worker" MPM; BE WARNED that some modules may not
 # work correctly with a thread-based MPM; notably PHP will refuse to start.
 
-# Path to the apachectl script, server binary, and short-form for messages.
-apachectl=/usr/sbin/apachectl
 httpd=${HTTPD-/usr/sbin/httpd}
 prog=httpd
 pidfile=${PIDFILE-/var/log/httpd/httpd.pid}
@@ -81,7 +82,7 @@
 start() {
         echo -n $"Starting $prog: "
         check13 || exit 1
-        daemon --pidfile=${pidfile} $httpd $OPTIONS
+        LANG=$HTTPD_LANG daemon --pidfile=${pidfile} $httpd $OPTIONS
         RETVAL=$?
         echo
         [ $RETVAL = 0 ] && touch ${lockfile}
@@ -111,15 +112,20 @@
 	stop
 	;;
   status)
-        status -p ${pidfile} $httpd
-	RETVAL=$?
-	;;
+        if ! test -f ${pidfile}; then
+            echo $prog is stopped
+            RETVAL=3
+        else  
+            status -p {$pidfile} $httpd
+            RETVAL=$?
+        fi
+        ;;
   restart)
 	stop
 	start
 	;;
   condrestart)
-	if status -p ${pidfile} $httpd >&/dev/null; then
+	if test -f ${pidfile} && status -p ${pidfile} $httpd >&/dev/null; then
 		stop
 		start
 	fi
@@ -127,13 +133,20 @@
   reload)
         reload
 	;;
-  graceful|help|configtest|fullstatus)
-	$apachectl $@
+  configtest)
+        LANG=$HTTPD_LANG $httpd $OPTIONS -t
+        RETVAL=$?
+        ;;
+  graceful)
+        echo -n $"Gracefully restarting $prog: "
+	LANG=$HTTPD_LANG $httpd $OPTIONS -k $@
 	RETVAL=$?
+        echo
 	;;
   *)
-	echo $"Usage: $prog {start|stop|restart|condrestart|reload|status|fullstatus|graceful|help|configtest}"
+	echo $"Usage: $prog {start|stop|restart|condrestart|reload|status|graceful|help|configtest}"
 	exit 1
 esac
 
 exit $RETVAL
+